Websites
Notes
Expert level
The API key should be sent as a Bearer token in the Authorization header of the request. Get your API key.
List
API endpoint:
GET
https://www.prufwerk.eu/api/v1/websites
Request example:
curl --location --request GET 'https://www.prufwerk.eu/api/v1/websites' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameter
Type
Description
searchoptional string
Search query.
search_byoptional string
Search by. Possible values are:
domain for Domain. Defaults to: domain.sort_byoptional string
Sort by. Possible values are:
id for Date created, domain for Domain, reports_avg_score for Score, reports_count for Reports. Defaults to: id.sortoptional string
Sort. Possible values are:
desc for Descending, asc for Ascending. Defaults to: desc.per_pageoptional integer
Results per page. Possible values are:
10, 25, 50, 100. Defaults to: 10.Show
API endpoint:
GET
https://www.prufwerk.eu/api/v1/websites/{id}
Request example:
curl --location --request GET 'https://www.prufwerk.eu/api/v1/websites/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
Update
API endpoint:
PUT PATCH
https://www.prufwerk.eu/api/v1/websites/{id}
Request example:
curl --location --request PUT 'https://www.prufwerk.eu/api/v1/websites/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
Parameter
Type
Description
privacyoptional integer
Privacy. Possible values are:
0 for Public, 1 for Private, 2 for Password.passwordoptional string
Password. Only works with
privacy field set to 2.Delete
API endpoint:
DELETE
https://www.prufwerk.eu/api/v1/websites/{id}
Request example:
curl --location --request DELETE 'https://www.prufwerk.eu/api/v1/websites/{id}' \ --header 'Authorization: Bearer {api_key}'